ACN::DMP::Controller Class Reference

The Controller class. More...

`#include <controller.h>`

Inheritance diagram for ACN::DMP::Controller:
[legend]

## Public Member Functions

| Controller (UUID::uuid=UUID::uuid())
| Controller::Controller. More...
virtual void | DmpReceiver (PDU::Message< RLP::Pdu >)
| Controller::DmpReceiver. More...
Public Member Functions inherited from ACN::SDT::Leader
| Leader (UUID::uuid=UUID::uuid())
| Leader::Leader. More...
virtual void | SdtReceiver (PDU::Message< RLP::Pdu >)
| Leader::SdtReceiver. More...
virtual void | SdtJoinSession ()
| Leader::SdtJoinSession.
virtual void | SdtGetSessions ()
| Leader::SdtGetSessions.
virtual void | SdtSessions ()
| Leader::SdtSessions.
Public Member Functions inherited from ACN::RLP::Component
| Component (UUID::uuid=UUID::uuid())
| Component::Component. More...
virtual void | UdpPayloadReceiver (PDU::Stream)
| Component::UdpPayloadReceiver. More...
virtual void | TcpPacketReceiver (PDU::Stream)
| Component::TcpPacketReceiver. More...
Public Member Functions inherited from ACN::Component
| Component (UUID::uuid cid=UUID::uuid())
| Component. More...
const UUID::uuid | cid () const
| cid More...
const std::string | fixedName () const
| fixedName fixed component name More...
const std::string | userName () const
| userName user-asigned name More...
const std::string | name () const
| component name, either user asigned or fixed. More...
void | assignUserName (const std::string s)
| set the user asigned name More...

## Additional Inherited Members

Protected Member Functions inherited from ACN::RLP::Component
void | RlpReceiver (PDU::Message< RLP::Pdu >)
| Component::RlpReceiver. More...
void | RlpRegisterVector (uint32_t, PDU::Handler< RLP::Pdu >)
| Component::RlpRegisterVectorHandler. More...
Protected Attributes inherited from ACN::Component
std::string | fctn_
| EPI 19: ACN Discovery on IP Networks. More...
std::string | uacn_
| 3.2. More...

## Detailed Description

The Controller class.

## Constructor & Destructor Documentation

## Controller()

ACN::DMP::Controller::Controller | ( | UUID::uuid | cid = `UUID::uuid()` | ) |

Controller::Controller.

Parameters

  cid |

Here is the call graph for this function:

## Member Function Documentation

## DmpReceiver()

void ACN::DMP::Controller::DmpReceiver | ( | PDU::Message< RLP::Pdu > | rlp | ) |

virtual

Controller::DmpReceiver.

Parameters

  rlp |

The documentation for this class was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/controller.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/dmp/controller.cpp